<!-- ******************************************************** -->
<!--                                                          -->
<!--  [History]                                               -->
<!--    Converted to DocBook: Katsuya Amako, Aug-2006         -->
<!--    Changed by: Gabriele Cosmo, 04-Dec-2007               -->
<!--                                                          -->
<!-- ******************************************************** -->


<!-- ******************* Section (Level#2) ****************** -->
<sect2 id="sect.Geom.GDML">
<title>
Importing XML Models Using GDML
</title>

<para>
Geometry Description Markup Language (<ulink url="http://cern.ch/gdml/">GDML</ulink>)
is a markup language based on XML and suited for the description of detector
geometry models. It allows for easy exchange of geometry data in a
<emphasis>human-readable</emphasis> XML-based description and structured
formatting.
</para>
<para>
The GDML parser is component of Geant4 which can be built
and installed as an optional choice. It allows for importing and
exporting GDML files, following the schema specified in the
<ulink url="http://cern.ch/gdml/doc/GDMLmanual.pdf">GDML documentation</ulink>.
The installation of the plugin is optional and requires the installation of the
<ulink url="http://xerces.apache.org/xerces-c/">XercesC</ulink> DOM parser.
</para>
<para>
Examples of how to import and export a detector description model based on
<ulink url="http://cern.ch/gdml/"><emphasis role="bold">GDML</emphasis></ulink>,
and also how to extend the GDML schema, are provided and can be found in
<literal>examples/extended/persistency/gdml</literal>. 
</para>

</sect2>
